Gentoo Archives: gentoo-commits

From: "Raul Porcel (armin76)" <armin76@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in mail-client/mozilla-thunderbird: ChangeLog mozilla-thunderbird-2.0.0.19.ebuild
Date: Wed, 31 Dec 2008 15:26:17
Message-Id: E1LI2xb-0001YU-1A@stork.gentoo.org
1 armin76 08/12/31 15:26:15
2
3 Modified: ChangeLog
4 Added: mozilla-thunderbird-2.0.0.19.ebuild
5 Log:
6 Version bump
7 (Portage version: 2.1.6.4/cvs/Linux 2.6.26-gentoo-r2 ia64)
8
9 Revision Changes Path
10 1.279 mail-client/mozilla-thunderbird/ChangeLog
11
12 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/mail-client/mozilla-thunderbird/ChangeLog?rev=1.279&view=markup
13 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/mail-client/mozilla-thunderbird/ChangeLog?rev=1.279&content-type=text/plain
14 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/mail-client/mozilla-thunderbird/ChangeLog?r1=1.278&r2=1.279
15
16 Index: ChangeLog
17 ===================================================================
18 RCS file: /var/cvsroot/gentoo-x86/mail-client/mozilla-thunderbird/ChangeLog,v
19 retrieving revision 1.278
20 retrieving revision 1.279
21 diff -u -r1.278 -r1.279
22 --- ChangeLog 24 Nov 2008 20:34:39 -0000 1.278
23 +++ ChangeLog 31 Dec 2008 15:26:14 -0000 1.279
24 @@ -1,6 +1,12 @@
25 # ChangeLog for mail-client/mozilla-thunderbird
26 # Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
27 -# $Header: /var/cvsroot/gentoo-x86/mail-client/mozilla-thunderbird/ChangeLog,v 1.278 2008/11/24 20:34:39 ranger Exp $
28 +# $Header: /var/cvsroot/gentoo-x86/mail-client/mozilla-thunderbird/ChangeLog,v 1.279 2008/12/31 15:26:14 armin76 Exp $
29 +
30 +*mozilla-thunderbird-2.0.0.19 (31 Dec 2008)
31 +
32 + 31 Dec 2008; Raúl Porcel <armin76@g.o>
33 + +mozilla-thunderbird-2.0.0.19.ebuild:
34 + Version bump
35
36 24 Nov 2008; Brent Baude <ranger@g.o>
37 mozilla-thunderbird-2.0.0.18.ebuild:
38
39
40
41 1.1 mail-client/mozilla-thunderbird/mozilla-thunderbird-2.0.0.19.ebuild
42
43 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/mail-client/mozilla-thunderbird/mozilla-thunderbird-2.0.0.19.ebuild?rev=1.1&view=markup
44 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/mail-client/mozilla-thunderbird/mozilla-thunderbird-2.0.0.19.ebuild?rev=1.1&content-type=text/plain
45
46 Index: mozilla-thunderbird-2.0.0.19.ebuild
47 ===================================================================
48 # Copyright 1999-2008 Gentoo Foundation
49 # Distributed under the terms of the GNU General Public License v2
50 # $Header: /var/cvsroot/gentoo-x86/mail-client/mozilla-thunderbird/mozilla-thunderbird-2.0.0.19.ebuild,v 1.1 2008/12/31 15:26:14 armin76 Exp $
51
52 WANT_AUTOCONF="2.1"
53
54 inherit flag-o-matic toolchain-funcs eutils mozconfig-2 mozilla-launcher makeedit multilib mozextension autotools
55
56 PATCH="${PN}-2.0.0.16-patches-0.1"
57 LANGS="af be bg ca cs da de el en-GB en-US es-AR es-ES eu fi fr ga-IE he hu it ja ko lt mk nb-NO nl nn-NO pa-IN pl pt-BR pt-PT ru sk sl sv-SE tr uk zh-CN zh-TW"
58 NOSHORTLANGS="en-GB es-AR pt-BR zh-TW"
59
60 DESCRIPTION="Thunderbird Mail Client"
61 HOMEPAGE="http://www.mozilla.com/en-US/thunderbird/"
62
63 KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
64 SLOT="0"
65 LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 )"
66 IUSE="ldap crypt bindist mozdom replytolist"
67
68 MOZ_URI="http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/${PV}"
69 SRC_URI="${MOZ_URI}/source/thunderbird-${PV}-source.tar.bz2
70 mirror://gentoo/${PATCH}.tar.bz2"
71
72 # These are in
73 #
74 # http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/${MY_PV}/linux-i686/xpi/
75 #
76 # for i in $LANGS $SHORTLANGS; do wget $i.xpi -O ${P}-$i.xpi; done
77 for X in ${LANGS} ; do
78 if [ "${X}" != "en" ] && [ "${X}" != "en-US" ]; then
79 SRC_URI="${SRC_URI}
80 linguas_${X/-/_}? ( http://dev.gentooexperimental.org/~armin76/dist/${P}-xpi/${P}-${X}.xpi )"
81 fi
82 IUSE="${IUSE} linguas_${X/-/_}"
83 # english is handled internally
84 if [ "${#X}" == 5 ] && ! has ${X} ${NOSHORTLANGS}; then
85 if [ "${X}" != "en-US" ]; then
86 SRC_URI="${SRC_URI}
87 linguas_${X%%-*}? ( http://dev.gentooexperimental.org/~armin76/dist/${P}-xpi/${P}-${X}.xpi )"
88 fi
89 IUSE="${IUSE} linguas_${X%%-*}"
90 fi
91 done
92
93 RDEPEND=">=www-client/mozilla-launcher-1.56
94 >=dev-libs/nss-3.11.5
95 >=dev-libs/nspr-4.6.5-r1"
96
97 PDEPEND="crypt? ( >=x11-plugins/enigmail-0.95.7-r3 )
98 replytolist? ( x11-plugins/replytolist )"
99
100 S="${WORKDIR}/mozilla"
101
102 # Needed by src_compile() and src_install().
103 # Would do in pkg_setup but that loses the export attribute, they
104 # become pure shell variables.
105 export MOZ_CO_PROJECT=mail
106 export BUILD_OFFICIAL=1
107 export MOZILLA_OFFICIAL=1
108
109 linguas() {
110 local LANG SLANG
111 for LANG in ${LINGUAS}; do
112 if has ${LANG} en en_US; then
113 has en ${linguas} || linguas="${linguas:+"${linguas} "}en"
114 continue
115 elif has ${LANG} ${LANGS//-/_}; then
116 has ${LANG//_/-} ${linguas} || linguas="${linguas:+"${linguas} "}${LANG//_/-}"
117 continue
118 elif [[ " ${LANGS} " == *" ${LANG}-"* ]]; then
119 for X in ${LANGS}; do
120 if [[ "${X}" == "${LANG}-"* ]] && \
121 [[ " ${NOSHORTLANGS} " != *" ${X} "* ]]; then
122 has ${X} ${linguas} || linguas="${linguas:+"${linguas} "}${X}"
123 continue 2
124 fi
125 done
126 fi
127 ewarn "Sorry, but ${PN} does not support the ${LANG} LINGUA"
128 done
129 }
130
131 pkg_setup(){
132 if ! built_with_use x11-libs/cairo X; then
133 eerror "Cairo is not built with X useflag."
134 eerror "Please add 'X' to your USE flags, and re-emerge cairo."
135 die "Cairo needs X"
136 fi
137
138 if ! built_with_use --missing true x11-libs/pango X; then
139 eerror "Pango is not built with X useflag."
140 eerror "Please add 'X' to your USE flags, and re-emerge pango."
141 die "Pango needs X"
142 fi
143
144 if ! use bindist; then
145 elog "You are enabling official branding. You may not redistribute this build"
146 elog "to any users on your network or the internet. Doing so puts yourself into"
147 elog "a legal problem with Mozilla Foundation"
148 elog "You can disable it by emerging ${PN} _with_ the bindist USE-flag"
149 fi
150
151 use moznopango && warn_mozilla_launcher_stub
152 }
153
154 src_unpack() {
155 unpack thunderbird-${PV}-source.tar.bz2 ${PATCH}.tar.bz2
156
157 linguas
158 for X in ${linguas}; do
159 [[ ${X} != "en" ]] && xpi_unpack "${P}-${X}.xpi"
160 done
161 if [[ ${linguas} != "" && ${linguas} != "en" ]]; then
162 elog "Selected language packs (first will be default): ${linguas}"
163 fi
164
165 # Apply our patches
166 cd "${S}" || die "cd failed"
167 EPATCH_SUFFIX="patch" \
168 EPATCH_FORCE="yes" \
169 epatch "${WORKDIR}"/patch
170
171 eautoreconf
172 }
173
174 src_compile() {
175 declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
176
177 ####################################
178 #
179 # mozconfig, CFLAGS and CXXFLAGS setup
180 #
181 ####################################
182
183 mozconfig_init
184 mozconfig_config
185
186 # tb-specific settings
187 mozconfig_use_enable ldap
188 mozconfig_use_enable ldap ldap-experimental
189 mozconfig_annotate '' --with-default-mozilla-five-home=${MOZILLA_FIVE_HOME}
190 mozconfig_annotate '' --with-user-appdir=.thunderbird
191 mozconfig_annotate '' --with-system-nspr
192 mozconfig_annotate '' --with-system-nss
193
194 # Bug 223375, 217805
195 # Breaks builds with gcc-4.3
196 if [[ $(gcc-version) == "4.3" ]]; then
197 mozconfig_annotate 'gcc-4.3 breaks builds' --disable-optimize
198 fi
199
200 # Bug #72667
201 if use mozdom; then
202 mozconfig_annotate '' --enable-extensions=default,inspector
203 else
204 mozconfig_annotate '' --enable-extensions=default
205 fi
206
207 if ! use bindist; then
208 mozconfig_annotate '' --enable-official-branding
209 fi
210
211 # Finalize and report settings
212 mozconfig_final
213
214 # -fstack-protector breaks us
215 if gcc-version ge 4 1; then
216 gcc-specs-ssp && append-flags -fno-stack-protector
217 else
218 gcc-specs-ssp && append-flags -fno-stack-protector-all
219 fi
220 filter-flags -fstack-protector -fstack-protector-all
221
222 ####################################
223 #
224 # Configure and build
225 #
226 ####################################
227
228 CPPFLAGS="${CPPFLAGS}" \
229 CC="$(tc-getCC)" CXX="$(tc-getCXX)" LD="$(tc-getLD)" \
230 econf || die
231
232 # This removes extraneous CFLAGS from the Makefiles to reduce RAM
233 # requirements while compiling
234 edit_makefiles
235
236 emake || die
237 }
238
239 pkg_preinst() {
240 declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
241
242 elog "Removing old installs with some really ugly code. It potentially"
243 elog "eliminates any problems during the install, however suggestions to"
244 elog "replace this are highly welcome. Send comments and suggestions to"
245 elog "mozilla@g.o."
246 rm -rf "${ROOT}"/"${MOZILLA_FIVE_HOME}"
247 }
248
249 src_install() {
250 declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
251
252 # Most of the installation happens here
253 dodir "${MOZILLA_FIVE_HOME}"
254 cp -RL "${S}"/dist/bin/* "${D}"/"${MOZILLA_FIVE_HOME}"/ || die "cp failed"
255
256 linguas
257 for X in ${linguas}; do
258 [[ ${X} != "en" ]] && xpi_install "${WORKDIR}"/"${P}-${X}"
259 done
260
261 local LANG=${linguas%% *}
262 if [[ ${LANG} != "" && ${LANG} != "en" ]]; then
263 ebegin "Setting default locale to ${LANG}"
264 sed -i "s:pref(\"general.useragent.locale\", \"en-US\"):pref(\"general.useragent.locale\", \"${LANG}\"):" \
265 "${D}"${MOZILLA_FIVE_HOME}/defaults/pref/all-thunderbird.js \
266 "${D}"${MOZILLA_FIVE_HOME}/defaults/pref/all-l10n.js
267 eend $? || die "sed failed to change locale"
268 fi
269
270 # Create directory structure to support portage-installed extensions.
271 # See update_chrome() in mozilla-launcher
272 keepdir ${MOZILLA_FIVE_HOME}/chrome.d
273 keepdir ${MOZILLA_FIVE_HOME}/extensions.d
274 cp "${D}"${MOZILLA_FIVE_HOME}/chrome/installed-chrome.txt \
275 "${D}"${MOZILLA_FIVE_HOME}/chrome.d/0_base-chrome.txt
276
277 # Create /usr/bin/thunderbird
278 install_mozilla_launcher_stub thunderbird ${MOZILLA_FIVE_HOME}
279
280 if ! use bindist; then
281 doicon "${FILESDIR}"/icon/thunderbird-icon.png
282 domenu "${FILESDIR}"/icon/${PN}.desktop
283 else
284 doicon "${FILESDIR}"/icon/thunderbird-icon-unbranded.png
285 newmenu "${FILESDIR}"/icon/${PN}-unbranded.desktop \
286 ${PN}.desktop
287 fi
288
289 # Install files necessary for applications to build against thunderbird
290 elog "Installing includes and idl files..."
291 cp -LfR "${S}"/dist/include "${D}"/"${MOZILLA_FIVE_HOME}" || die "cp failed"
292 cp -LfR "${S}"/dist/idl "${D}"/"${MOZILLA_FIVE_HOME}" || die "cp failed"
293
294 # Dirty hack to get some applications using this header running
295 dosym "${MOZILLA_FIVE_HOME}"/include/necko/nsIURI.h \
296 "${MOZILLA_FIVE_HOME}"/include/nsIURI.h
297
298 # Warn user that remerging enigmail is neccessary on USE=crypt
299 use crypt && ewarn "Please remerge x11-plugins/enigmail after updating ${PN}."
300 }
301
302 pkg_postinst() {
303 declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
304
305 # This should be called in the postinst and postrm of all the
306 # mozilla, mozilla-bin, firefox, firefox-bin, thunderbird and
307 # thunderbird-bin ebuilds.
308 update_mozilla_launcher_symlinks
309 }
310
311 pkg_postrm() {
312 declare MOZILLA_FIVE_HOME="/usr/$(get_libdir)/${PN}"
313
314 update_mozilla_launcher_symlinks
315 }